Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Enum NodeKindConstraintComponent.NodeKind

- java.lang.Object
- - java.lang.Enum<NodeKindConstraintComponent.NodeKind>
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.NodeKindConstraintComponent.NodeKind

- All Implemented Interfaces:
    `Serializable`, `Comparable<NodeKindConstraintComponent.NodeKind>`
  Enclosing class:
    NodeKindConstraintComponent

      public static enum NodeKindConstraintComponent.NodeKind
      extends Enum<NodeKindConstraintComponent.NodeKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BlankNode` |
    `BlankNodeOrIRI` |
    `BlankNodeOrLiteral` |
    `IRI` |
    `IRIOrLiteral` |
    `Literal` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeKindConstraintComponent.NodeKind` | `from​(Resource resource)` |
    `static NodeKindConstraintComponent.NodeKind` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static NodeKindConstraintComponent.NodeKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BlankNode

          public static final NodeKindConstraintComponent.NodeKind BlankNode

    - #### IRI

          public static final NodeKindConstraintComponent.NodeKind IRI

    - #### Literal

          public static final NodeKindConstraintComponent.NodeKind Literal

    - #### BlankNodeOrIRI

          public static final NodeKindConstraintComponent.NodeKind BlankNodeOrIRI

    - #### BlankNodeOrLiteral

          public static final NodeKindConstraintComponent.NodeKind BlankNodeOrLiteral

    - #### IRIOrLiteral

          public static final NodeKindConstraintComponent.NodeKind IRIOrLiteral

  - ### Method Detail

    - #### values

          public static NodeKindConstraintComponent.NodeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeKindConstraintComponent.NodeKind c : NodeKindConstraintComponent.NodeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeKindConstraintComponent.NodeKind valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static NodeKindConstraintComponent.NodeKind from​(Resource resource)